MINTPY-PREP_SNAP(1)

NAME
mintpy-prep_snap - Prepare attributes file for SNAP products.

DESCRIPTION
usage: prep_snap.py [-h] file [file ...]

Prepare attributes file for SNAP products.

    For each interferogram, coherence or unwrapped .dim product this script will prepare.rsc metadata files for for mintpy based on .dim metadata file.

    The SNAP .dim file should contain all the required sensor / baseline metadata needed. The baseline metadata gets written during snap back-geocoding (co-registration). prep_snap is run separately for unw/ifg/cor files so needs separate .dim/.data products with only the relevant band in each product. Use Band Subset > save BEAM-DIMAP file.

    The file name should be yyyymmdd_yyyymmdd_type_tc.dim where type can be filt/unw/coh.

    The DEM should be prepared by adding an elevation file to a coregestered product - then extract the elevation band only. Use Band Subset > save BEAM-DIMAP file

    Currently only works for geocoded (terrain correction step in SNAP) interferograms.

  positional arguments:

file
    SNAP data file(s) in *.img format.

  options:

-h, --help
    show this help message and exit

  example:

prep_snap.py
    ../interferograms/*/*/Unw_*.img

prep_snap.py
    ../dem_tc.data/dem*.img